> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post mediacommandsmark all listened



## OpenAPI

````yaml /api-reference/oda-media-service-1.0.0.yml post /media/commands/mark-all-listened
openapi: 3.0.1
info:
  title: oda-media-service
  version: 1.0.0
servers: []
security: []
tags:
  - name: Available Media
    description: Search and retrieve available media from external providers
  - name: Video
    description: Video management operations
  - name: Playlist
    description: Playlist management operations
paths:
  /media/commands/mark-all-listened:
    post:
      operationId: markAllListened
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkAllListened.MarkAllListenedCommand'
        required: true
      responses:
        '200':
          description: markAllListened 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpResponse_Void_'
components:
  schemas:
    MarkAllListened.MarkAllListenedCommand:
      type: object
    HttpResponse_Void_:
      type: object
      allOf:
        - $ref: '#/components/schemas/HttpMessage_Void_'
        - $ref: '#/components/schemas/MutableAttributeHolder'
        - $ref: '#/components/schemas/AttributeHolder'
        - required:
            - attributes
          type: object
          properties:
            attributes:
              $ref: '#/components/schemas/MutableConvertibleValues_Object_'
            status:
              $ref: '#/components/schemas/HttpStatus'
            cookies:
              $ref: '#/components/schemas/Cookies'
    HttpMessage_Void_:
      type: object
      allOf:
        - $ref: '#/components/schemas/MutableAttributeHolder'
        - $ref: '#/components/schemas/AttributeHolder'
        - required:
            - attributes
            - body
            - characterEncoding
            - contentType
            - headers
            - locale
          type: object
          properties:
            headers:
              $ref: '#/components/schemas/HttpHeaders'
            attributes:
              $ref: '#/components/schemas/MutableConvertibleValues_Object_'
            body:
              nullable: true
              allOf:
                - $ref: '#/components/schemas/Void'
            bodyWriter:
              nullable: true
              allOf:
                - $ref: '#/components/schemas/MessageBodyWriter_Void_'
            characterEncoding:
              type: string
            locale:
              type: string
              nullable: true
            contentLength:
              type: integer
              format: int64
            contentType:
              nullable: true
              allOf:
                - $ref: '#/components/schemas/MediaType'
    MutableAttributeHolder:
      type: object
      allOf:
        - $ref: '#/components/schemas/AttributeHolder'
        - required:
            - attributes
          type: object
          properties:
            attributes:
              $ref: '#/components/schemas/MutableConvertibleValues_Object_'
    AttributeHolder:
      required:
        - attributes
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ConvertibleValues_Object_'
    MutableConvertibleValues_Object_:
      type: object
      allOf:
        - $ref: '#/components/schemas/ConvertibleValues_Object_'
        - $ref: '#/components/schemas/ConversionServiceProvider'
        - type: object
          properties:
            conversionService:
              $ref: '#/components/schemas/ConversionService'
    HttpStatus:
      type: string
      enum:
        - CONTINUE
        - SWITCHING_PROTOCOLS
        - PROCESSING
        - EARLY_HINTS
        - OK
        - CREATED
        - ACCEPTED
        - NON_AUTHORITATIVE_INFORMATION
        - NO_CONTENT
        - RESET_CONTENT
        - PARTIAL_CONTENT
        - MULTI_STATUS
        - ALREADY_IMPORTED
        - IM_USED
        - MULTIPLE_CHOICES
        - MOVED_PERMANENTLY
        - FOUND
        - SEE_OTHER
        - NOT_MODIFIED
        - USE_PROXY
        - SWITCH_PROXY
        - TEMPORARY_REDIRECT
        - PERMANENT_REDIRECT
        - BAD_REQUEST
        - UNAUTHORIZED
        - PAYMENT_REQUIRED
        - FORBIDDEN
        - NOT_FOUND
        - METHOD_NOT_ALLOWED
        - NOT_ACCEPTABLE
        - PROXY_AUTHENTICATION_REQUIRED
        - REQUEST_TIMEOUT
        - CONFLICT
        - GONE
        - LENGTH_REQUIRED
        - PRECONDITION_FAILED
        - REQUEST_ENTITY_TOO_LARGE
        - REQUEST_URI_TOO_LONG
        - UNSUPPORTED_MEDIA_TYPE
        - REQUESTED_RANGE_NOT_SATISFIABLE
        - EXPECTATION_FAILED
        - I_AM_A_TEAPOT
        - ENHANCE_YOUR_CALM
        - MISDIRECTED_REQUEST
        - UNPROCESSABLE_ENTITY
        - LOCKED
        - FAILED_DEPENDENCY
        - TOO_EARLY
        - UPGRADE_REQUIRED
        - PRECONDITION_REQUIRED
        - TOO_MANY_REQUESTS
        - REQUEST_HEADER_FIELDS_TOO_LARGE
        - NO_RESPONSE
        - BLOCKED_BY_WINDOWS_PARENTAL_CONTROLS
        - UNAVAILABLE_FOR_LEGAL_REASONS
        - REQUEST_HEADER_TOO_LARGE
        - INTERNAL_SERVER_ERROR
        - NOT_IMPLEMENTED
        - BAD_GATEWAY
        - SERVICE_UNAVAILABLE
        - GATEWAY_TIMEOUT
        - HTTP_VERSION_NOT_SUPPORTED
        - VARIANT_ALSO_NEGOTIATES
        - INSUFFICIENT_STORAGE
        - LOOP_DETECTED
        - BANDWIDTH_LIMIT_EXCEEDED
        - NOT_EXTENDED
        - NETWORK_AUTHENTICATION_REQUIRED
        - CONNECTION_TIMED_OUT
    Cookies:
      type: object
      allOf:
        - $ref: '#/components/schemas/ConvertibleValues_Cookie_'
        - $ref: '#/components/schemas/ConversionServiceProvider'
        - type: object
          properties:
            all:
              type: array
              items:
                $ref: '#/components/schemas/Cookie'
    HttpHeaders:
      type: object
      allOf:
        - $ref: '#/components/schemas/Headers'
        - $ref: '#/components/schemas/ConvertibleMultiValues_String_'
        - $ref: '#/components/schemas/ConvertibleValues_List_String__'
        - $ref: '#/components/schemas/ConversionServiceProvider'
        - type: object
          properties:
            conversionService:
              $ref: '#/components/schemas/ConversionService'
            empty:
              type: boolean
            keepAlive:
              type: boolean
            origin:
              type: string
              nullable: true
            authorization:
              type: string
              nullable: true
            contentType:
              type: string
              nullable: true
    Void:
      type: object
    MessageBodyWriter_Void_:
      type: object
      properties:
        blocking:
          type: boolean
    MediaType:
      required:
        - name
        - parametersMap
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        subtype:
          type: string
        extension:
          type: string
        parameters:
          $ref: '#/components/schemas/OptionalValues_String_'
        parametersMap:
          type: object
          additionalProperties:
            type: string
        quality:
          type: string
        qualityAsNumber:
          type: number
        version:
          type: string
        charset:
          type: string
          nullable: true
        textBased:
          type: boolean
    ConvertibleValues_Object_:
      type: object
      allOf:
        - $ref: '#/components/schemas/ConversionServiceProvider'
        - type: object
          properties:
            empty:
              type: boolean
            valueType:
              $ref: '#/components/schemas/Class_Object_'
            conversionService:
              $ref: '#/components/schemas/ConversionService'
    ConversionServiceProvider:
      required:
        - conversionService
      type: object
      properties:
        conversionService:
          $ref: '#/components/schemas/ConversionService'
    ConversionService:
      type: object
    ConvertibleValues_Cookie_:
      type: object
      allOf:
        - $ref: '#/components/schemas/ConversionServiceProvider'
        - type: object
          properties:
            empty:
              type: boolean
            valueType:
              $ref: '#/components/schemas/Class_Cookie_'
            conversionService:
              $ref: '#/components/schemas/ConversionService'
    Cookie:
      required:
        - name
        - value
      type: object
      properties:
        name:
          type: string
        value:
          type: string
        domain:
          type: string
          nullable: true
        path:
          type: string
          nullable: true
        httpOnly:
          type: boolean
        secure:
          type: boolean
        maxAge:
          type: integer
          format: int64
        sameSite:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/SameSite'
    Headers:
      type: object
      allOf:
        - $ref: '#/components/schemas/ConvertibleMultiValues_String_'
        - $ref: '#/components/schemas/ConvertibleValues_List_String__'
        - $ref: '#/components/schemas/ConversionServiceProvider'
    ConvertibleMultiValues_String_:
      type: object
      allOf:
        - $ref: '#/components/schemas/ConvertibleValues_List_String__'
        - $ref: '#/components/schemas/ConversionServiceProvider'
        - type: object
          properties:
            empty:
              type: boolean
    ConvertibleValues_List_String__:
      type: object
      allOf:
        - $ref: '#/components/schemas/ConversionServiceProvider'
        - type: object
          properties:
            empty:
              type: boolean
            valueType:
              $ref: '#/components/schemas/Class_List_String__'
            conversionService:
              $ref: '#/components/schemas/ConversionService'
    OptionalValues_String_:
      type: object
      properties:
        empty:
          type: boolean
    Class_Object_:
      type: object
      properties:
        annotation:
          type: boolean
        synthetic:
          type: boolean
        name:
          type: string
        typeParameters:
          type: array
          items:
            $ref: '#/components/schemas/TypeVariable_Class_Object__'
        genericSuperclass:
          $ref: '#/components/schemas/Type'
        package:
          $ref: '#/components/schemas/Package'
        interfaces:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        genericInterfaces:
          type: array
          items:
            $ref: '#/components/schemas/Type'
        simpleName:
          type: string
        typeName:
          type: string
        canonicalName:
          type: string
        anonymousClass:
          type: boolean
        localClass:
          type: boolean
        memberClass:
          type: boolean
        protectionDomain:
          $ref: '#/components/schemas/ProtectionDomain'
        enum:
          type: boolean
        enumConstants:
          type: array
          items:
            type: object
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        declaredAnnotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        annotatedSuperclass:
          $ref: '#/components/schemas/AnnotatedType'
        annotatedInterfaces:
          type: array
          items:
            $ref: '#/components/schemas/AnnotatedType'
        module:
          $ref: '#/components/schemas/Module'
        packageName:
          type: string
        componentType:
          $ref: '#/components/schemas/Class_Object_'
        superclass:
          $ref: '#/components/schemas/Class_Object_'
        record:
          type: boolean
        hidden:
          type: boolean
        sealed:
          type: boolean
        signers:
          type: array
          items:
            type: object
        classLoader:
          $ref: '#/components/schemas/ClassLoader'
        enclosingMethod:
          $ref: '#/components/schemas/Method'
        enclosingConstructor:
          $ref: '#/components/schemas/Constructor_Object_'
        declaringClass:
          $ref: '#/components/schemas/Class_Object_'
        enclosingClass:
          $ref: '#/components/schemas/Class_Object_'
        classes:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        fields:
          type: array
          items:
            $ref: '#/components/schemas/Field'
        methods:
          type: array
          items:
            $ref: '#/components/schemas/Method'
        constructors:
          type: array
          items:
            $ref: '#/components/schemas/Constructor_Object_'
        declaredClasses:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        declaredFields:
          type: array
          items:
            $ref: '#/components/schemas/Field'
        recordComponents:
          type: array
          items:
            $ref: '#/components/schemas/RecordComponent'
        declaredMethods:
          type: array
          items:
            $ref: '#/components/schemas/Method'
        declaredConstructors:
          type: array
          items:
            $ref: '#/components/schemas/Constructor_Object_'
        nestHost:
          $ref: '#/components/schemas/Class_Object_'
        nestMembers:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        permittedSubclasses:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        interface:
          type: boolean
        array:
          type: boolean
        primitive:
          type: boolean
        modifiers:
          type: integer
          format: int32
    Class_Cookie_:
      type: object
      properties:
        annotation:
          type: boolean
        synthetic:
          type: boolean
        name:
          type: string
        typeParameters:
          type: array
          items:
            $ref: '#/components/schemas/TypeVariable_Class_Cookie__'
        genericSuperclass:
          $ref: '#/components/schemas/Type'
        package:
          $ref: '#/components/schemas/Package'
        interfaces:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        genericInterfaces:
          type: array
          items:
            $ref: '#/components/schemas/Type'
        simpleName:
          type: string
        typeName:
          type: string
        canonicalName:
          type: string
        anonymousClass:
          type: boolean
        localClass:
          type: boolean
        memberClass:
          type: boolean
        protectionDomain:
          $ref: '#/components/schemas/ProtectionDomain'
        enum:
          type: boolean
        enumConstants:
          type: array
          items:
            $ref: '#/components/schemas/Cookie'
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        declaredAnnotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        annotatedSuperclass:
          $ref: '#/components/schemas/AnnotatedType'
        annotatedInterfaces:
          type: array
          items:
            $ref: '#/components/schemas/AnnotatedType'
        module:
          $ref: '#/components/schemas/Module'
        packageName:
          type: string
        componentType:
          $ref: '#/components/schemas/Class_Object_'
        superclass:
          $ref: '#/components/schemas/Class_Cookie_'
        record:
          type: boolean
        hidden:
          type: boolean
        sealed:
          type: boolean
        signers:
          type: array
          items:
            type: object
        classLoader:
          $ref: '#/components/schemas/ClassLoader'
        enclosingMethod:
          $ref: '#/components/schemas/Method'
        enclosingConstructor:
          $ref: '#/components/schemas/Constructor_Object_'
        declaringClass:
          $ref: '#/components/schemas/Class_Object_'
        enclosingClass:
          $ref: '#/components/schemas/Class_Object_'
        classes:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        fields:
          type: array
          items:
            $ref: '#/components/schemas/Field'
        methods:
          type: array
          items:
            $ref: '#/components/schemas/Method'
        constructors:
          type: array
          items:
            $ref: '#/components/schemas/Constructor_Object_'
        declaredClasses:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        declaredFields:
          type: array
          items:
            $ref: '#/components/schemas/Field'
        recordComponents:
          type: array
          items:
            $ref: '#/components/schemas/RecordComponent'
        declaredMethods:
          type: array
          items:
            $ref: '#/components/schemas/Method'
        declaredConstructors:
          type: array
          items:
            $ref: '#/components/schemas/Constructor_Object_'
        nestHost:
          $ref: '#/components/schemas/Class_Object_'
        nestMembers:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        permittedSubclasses:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        interface:
          type: boolean
        array:
          type: boolean
        primitive:
          type: boolean
        modifiers:
          type: integer
          format: int32
    SameSite:
      type: string
      enum:
        - Lax
        - Strict
        - None
    Class_List_String__:
      type: object
      properties:
        annotation:
          type: boolean
        synthetic:
          type: boolean
        name:
          type: string
        typeParameters:
          type: array
          items:
            $ref: '#/components/schemas/TypeVariable_Class_List_String___'
        genericSuperclass:
          $ref: '#/components/schemas/Type'
        package:
          $ref: '#/components/schemas/Package'
        interfaces:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        genericInterfaces:
          type: array
          items:
            $ref: '#/components/schemas/Type'
        simpleName:
          type: string
        typeName:
          type: string
        canonicalName:
          type: string
        anonymousClass:
          type: boolean
        localClass:
          type: boolean
        memberClass:
          type: boolean
        protectionDomain:
          $ref: '#/components/schemas/ProtectionDomain'
        enum:
          type: boolean
        enumConstants:
          type: array
          items:
            type: array
            items:
              type: string
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        declaredAnnotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        annotatedSuperclass:
          $ref: '#/components/schemas/AnnotatedType'
        annotatedInterfaces:
          type: array
          items:
            $ref: '#/components/schemas/AnnotatedType'
        module:
          $ref: '#/components/schemas/Module'
        packageName:
          type: string
        componentType:
          $ref: '#/components/schemas/Class_Object_'
        superclass:
          $ref: '#/components/schemas/Class_List_String__'
        record:
          type: boolean
        hidden:
          type: boolean
        sealed:
          type: boolean
        signers:
          type: array
          items:
            type: object
        classLoader:
          $ref: '#/components/schemas/ClassLoader'
        enclosingMethod:
          $ref: '#/components/schemas/Method'
        enclosingConstructor:
          $ref: '#/components/schemas/Constructor_Object_'
        declaringClass:
          $ref: '#/components/schemas/Class_Object_'
        enclosingClass:
          $ref: '#/components/schemas/Class_Object_'
        classes:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        fields:
          type: array
          items:
            $ref: '#/components/schemas/Field'
        methods:
          type: array
          items:
            $ref: '#/components/schemas/Method'
        constructors:
          type: array
          items:
            $ref: '#/components/schemas/Constructor_Object_'
        declaredClasses:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        declaredFields:
          type: array
          items:
            $ref: '#/components/schemas/Field'
        recordComponents:
          type: array
          items:
            $ref: '#/components/schemas/RecordComponent'
        declaredMethods:
          type: array
          items:
            $ref: '#/components/schemas/Method'
        declaredConstructors:
          type: array
          items:
            $ref: '#/components/schemas/Constructor_Object_'
        nestHost:
          $ref: '#/components/schemas/Class_Object_'
        nestMembers:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        permittedSubclasses:
          type: array
          items:
            $ref: '#/components/schemas/Class_Object_'
        interface:
          type: boolean
        array:
          type: boolean
        primitive:
          type: boolean
        modifiers:
          type: integer
          format: int32
    TypeVariable_Class_Object__:
      type: object
      allOf:
        - $ref: '#/components/schemas/Type'
        - $ref: '#/components/schemas/AnnotatedElement'
        - type: object
          properties:
            bounds:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            genericDeclaration:
              $ref: '#/components/schemas/Class_Object_'
            name:
              type: string
            annotatedBounds:
              type: array
              items:
                $ref: '#/components/schemas/AnnotatedType'
    Type:
      type: object
      properties:
        typeName:
          type: string
    Package:
      type: object
      allOf:
        - $ref: '#/components/schemas/NamedPackage'
        - type: object
          properties:
            name:
              type: string
            specificationTitle:
              type: string
            specificationVersion:
              type: string
            specificationVendor:
              type: string
            implementationTitle:
              type: string
            implementationVersion:
              type: string
            implementationVendor:
              type: string
            sealed:
              type: boolean
            annotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
            declaredAnnotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
    ProtectionDomain:
      type: object
      properties:
        codeSource:
          $ref: '#/components/schemas/CodeSource'
        classLoader:
          $ref: '#/components/schemas/ClassLoader'
        principals:
          type: array
          items:
            $ref: '#/components/schemas/Principal'
        permissions:
          $ref: '#/components/schemas/PermissionCollection'
    Annotation:
      type: object
    AnnotatedType:
      type: object
      allOf:
        - $ref: '#/components/schemas/AnnotatedElement'
        - type: object
          properties:
            type:
              $ref: '#/components/schemas/Type'
            annotatedOwnerType:
              $ref: '#/components/schemas/AnnotatedType'
            annotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
            declaredAnnotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
    Module:
      type: object
      properties:
        named:
          type: boolean
        name:
          type: string
        classLoader:
          $ref: '#/components/schemas/ClassLoader'
        descriptor:
          $ref: '#/components/schemas/ModuleDescriptor'
        layer:
          $ref: '#/components/schemas/ModuleLayer'
        packages:
          type: array
          items:
            type: string
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        declaredAnnotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        nativeAccessEnabled:
          type: boolean
    ClassLoader:
      type: object
      properties:
        packages:
          type: array
          items:
            $ref: '#/components/schemas/Package'
        defaultAssertionStatus:
          type: boolean
        name:
          type: string
        registeredAsParallelCapable:
          type: boolean
        unnamedModule:
          $ref: '#/components/schemas/Module'
        definedPackages:
          type: array
          items:
            $ref: '#/components/schemas/Package'
        parent:
          $ref: '#/components/schemas/ClassLoader'
    Method:
      type: object
      allOf:
        - $ref: '#/components/schemas/Executable'
        - $ref: '#/components/schemas/AccessibleObject'
        - type: object
          properties:
            declaringClass:
              $ref: '#/components/schemas/Class_Object_'
            name:
              type: string
            modifiers:
              type: integer
              format: int32
            typeParameters:
              type: array
              items:
                $ref: '#/components/schemas/TypeVariable_Method_'
            returnType:
              $ref: '#/components/schemas/Class_Object_'
            genericReturnType:
              $ref: '#/components/schemas/Type'
            parameterTypes:
              type: array
              items:
                $ref: '#/components/schemas/Class_Object_'
            parameterCount:
              type: integer
              format: int32
            genericParameterTypes:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            exceptionTypes:
              type: array
              items:
                $ref: '#/components/schemas/Class_Object_'
            genericExceptionTypes:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            bridge:
              type: boolean
            varArgs:
              type: boolean
            synthetic:
              type: boolean
            default:
              type: boolean
            defaultValue:
              type: object
            declaredAnnotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
            parameterAnnotations:
              type: array
              items:
                type: array
                items:
                  $ref: '#/components/schemas/Annotation'
            annotatedReturnType:
              $ref: '#/components/schemas/AnnotatedType'
    Constructor_Object_:
      type: object
      allOf:
        - $ref: '#/components/schemas/Executable'
        - $ref: '#/components/schemas/AccessibleObject'
        - type: object
          properties:
            declaringClass:
              $ref: '#/components/schemas/Class_Object_'
            name:
              type: string
            modifiers:
              type: integer
              format: int32
            typeParameters:
              type: array
              items:
                $ref: '#/components/schemas/TypeVariable_Constructor_Object__'
            parameterTypes:
              type: array
              items:
                $ref: '#/components/schemas/Class_Object_'
            parameterCount:
              type: integer
              format: int32
            genericParameterTypes:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            exceptionTypes:
              type: array
              items:
                $ref: '#/components/schemas/Class_Object_'
            genericExceptionTypes:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            varArgs:
              type: boolean
            synthetic:
              type: boolean
            declaredAnnotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
            parameterAnnotations:
              type: array
              items:
                type: array
                items:
                  $ref: '#/components/schemas/Annotation'
            annotatedReturnType:
              $ref: '#/components/schemas/AnnotatedType'
            annotatedReceiverType:
              $ref: '#/components/schemas/AnnotatedType'
    Field:
      type: object
      allOf:
        - $ref: '#/components/schemas/AccessibleObject'
        - type: object
          properties:
            declaringClass:
              $ref: '#/components/schemas/Class_Object_'
            name:
              type: string
            modifiers:
              type: integer
              format: int32
            enumConstant:
              type: boolean
            synthetic:
              type: boolean
            type:
              $ref: '#/components/schemas/Class_Object_'
            genericType:
              $ref: '#/components/schemas/Type'
            declaredAnnotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
            annotatedType:
              $ref: '#/components/schemas/AnnotatedType'
    RecordComponent:
      type: object
      properties:
        name:
          type: string
        type:
          $ref: '#/components/schemas/Class_Object_'
        genericSignature:
          type: string
        genericType:
          $ref: '#/components/schemas/Type'
        annotatedType:
          $ref: '#/components/schemas/AnnotatedType'
        accessor:
          $ref: '#/components/schemas/Method'
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        declaredAnnotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        declaringRecord:
          $ref: '#/components/schemas/Class_Object_'
    TypeVariable_Class_Cookie__:
      type: object
      allOf:
        - $ref: '#/components/schemas/Type'
        - $ref: '#/components/schemas/AnnotatedElement'
        - type: object
          properties:
            bounds:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            genericDeclaration:
              $ref: '#/components/schemas/Class_Cookie_'
            name:
              type: string
            annotatedBounds:
              type: array
              items:
                $ref: '#/components/schemas/AnnotatedType'
    TypeVariable_Class_List_String___:
      type: object
      allOf:
        - $ref: '#/components/schemas/Type'
        - $ref: '#/components/schemas/AnnotatedElement'
        - type: object
          properties:
            bounds:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            genericDeclaration:
              $ref: '#/components/schemas/Class_List_String__'
            name:
              type: string
            annotatedBounds:
              type: array
              items:
                $ref: '#/components/schemas/AnnotatedType'
    AnnotatedElement:
      type: object
      properties:
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        declaredAnnotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
    NamedPackage:
      type: object
    CodeSource:
      type: object
      properties:
        location:
          type: string
          format: url
        certificates:
          type: array
          items:
            $ref: '#/components/schemas/Certificate'
        codeSigners:
          type: array
          items:
            $ref: '#/components/schemas/CodeSigner'
    Principal:
      type: object
      properties:
        name:
          type: string
    PermissionCollection:
      type: object
      properties:
        readOnly:
          type: boolean
    ModuleDescriptor:
      type: object
      properties:
        open:
          type: boolean
        automatic:
          type: boolean
    ModuleLayer:
      type: object
    Executable:
      type: object
      allOf:
        - $ref: '#/components/schemas/AccessibleObject'
        - type: object
          properties:
            declaringClass:
              $ref: '#/components/schemas/Class_Object_'
            name:
              type: string
            modifiers:
              type: integer
              format: int32
            typeParameters:
              type: array
              items:
                $ref: '#/components/schemas/TypeVariable_GenericDeclaration_'
            parameterTypes:
              type: array
              items:
                $ref: '#/components/schemas/Class_Object_'
            genericParameterTypes:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            parameters:
              type: array
              items:
                $ref: '#/components/schemas/Parameter'
            exceptionTypes:
              type: array
              items:
                $ref: '#/components/schemas/Class_Object_'
            genericExceptionTypes:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            varArgs:
              type: boolean
            synthetic:
              type: boolean
            parameterAnnotations:
              type: array
              items:
                type: array
                items:
                  $ref: '#/components/schemas/Annotation'
            declaredAnnotations:
              type: array
              items:
                $ref: '#/components/schemas/Annotation'
            annotatedReturnType:
              $ref: '#/components/schemas/AnnotatedType'
            annotatedReceiverType:
              $ref: '#/components/schemas/AnnotatedType'
            annotatedParameterTypes:
              type: array
              items:
                $ref: '#/components/schemas/AnnotatedType'
            annotatedExceptionTypes:
              type: array
              items:
                $ref: '#/components/schemas/AnnotatedType'
            parameterCount:
              type: integer
              format: int32
    AccessibleObject:
      type: object
      properties:
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        declaredAnnotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        accessible:
          type: boolean
          deprecated: true
    TypeVariable_Method_:
      type: object
      allOf:
        - $ref: '#/components/schemas/Type'
        - $ref: '#/components/schemas/AnnotatedElement'
        - type: object
          properties:
            bounds:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            genericDeclaration:
              $ref: '#/components/schemas/Method'
            name:
              type: string
            annotatedBounds:
              type: array
              items:
                $ref: '#/components/schemas/AnnotatedType'
    TypeVariable_Constructor_Object__:
      type: object
      allOf:
        - $ref: '#/components/schemas/Type'
        - $ref: '#/components/schemas/AnnotatedElement'
        - type: object
          properties:
            bounds:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            genericDeclaration:
              $ref: '#/components/schemas/Constructor_Object_'
            name:
              type: string
            annotatedBounds:
              type: array
              items:
                $ref: '#/components/schemas/AnnotatedType'
    Certificate:
      type: object
      properties:
        type:
          type: string
        encoded:
          type: array
          items:
            type: string
            format: byte
        publicKey:
          $ref: '#/components/schemas/PublicKey'
    CodeSigner:
      type: object
      properties:
        signerCertPath:
          $ref: '#/components/schemas/CertPath'
        timestamp:
          $ref: '#/components/schemas/Timestamp'
    TypeVariable_GenericDeclaration_:
      type: object
      allOf:
        - $ref: '#/components/schemas/Type'
        - $ref: '#/components/schemas/AnnotatedElement'
        - type: object
          properties:
            bounds:
              type: array
              items:
                $ref: '#/components/schemas/Type'
            genericDeclaration:
              type: object
            name:
              type: string
            annotatedBounds:
              type: array
              items:
                $ref: '#/components/schemas/AnnotatedType'
    Parameter:
      type: object
      properties:
        namePresent:
          type: boolean
        declaringExecutable:
          $ref: '#/components/schemas/Executable'
        modifiers:
          type: integer
          format: int32
        name:
          type: string
        parameterizedType:
          $ref: '#/components/schemas/Type'
        type:
          $ref: '#/components/schemas/Class_Object_'
        annotatedType:
          $ref: '#/components/schemas/AnnotatedType'
        implicit:
          type: boolean
        synthetic:
          type: boolean
        varArgs:
          type: boolean
        declaredAnnotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
    PublicKey:
      type: object
      allOf:
        - $ref: '#/components/schemas/AsymmetricKey'
        - $ref: '#/components/schemas/Key'
    CertPath:
      type: object
      properties:
        type:
          type: string
        encodings:
          $ref: '#/components/schemas/Iterator_String_'
        encoded:
          type: array
          items:
            type: string
            format: byte
        certificates:
          type: array
          items:
            $ref: '#/components/schemas/Certificate'
    Timestamp:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        signerCertPath:
          $ref: '#/components/schemas/CertPath'
    AsymmetricKey:
      type: object
      allOf:
        - $ref: '#/components/schemas/Key'
        - type: object
          properties:
            params:
              $ref: '#/components/schemas/AlgorithmParameterSpec'
    Key:
      type: object
      properties:
        algorithm:
          type: string
        format:
          type: string
        encoded:
          type: array
          items:
            type: string
            format: byte
    Iterator_String_:
      type: object
    AlgorithmParameterSpec:
      type: object

````